import { QPQConfig, EventTransformEventParamsActionPayload, EventTransformResponseResultActionPayload, EventMatchStoryActionPayload, EventAutoRespondActionPayload, StorySession } from 'quidproquo-core';
import { RouteQPQWebServerConfigSetting, HTTPEventParams } from 'quidproquo-webserver';
import { Context } from 'aws-lambda';
declare const _default: (config: QPQConfig) => {
    "@quidproquo-core/event/TransformEventParams": (payload: EventTransformEventParamsActionPayload<[import("aws-lambda").APIGatewayProxyEvent, Context]>, session: StorySession) => Promise<HTTPEventParams<any>>;
    "@quidproquo-core/event/TransformResponseResult": (payload: EventTransformResponseResultActionPayload, session: StorySession) => Promise<{
        statusCode: any;
        body: any;
        headers: {
            'Content-Type': string;
            'Access-Control-Allow-Headers': string;
            'Access-Control-Allow-Methods': string;
            'Access-Control-Allow-Origin': string;
        };
    }>;
    "@quidproquo-core/event/AutoRespond": (payload: EventAutoRespondActionPayload<HTTPEventParams<any>>, session: StorySession) => Promise<{
        statusCode: number;
        headers: {
            'Content-Type': string;
            'Access-Control-Allow-Headers': string;
            'Access-Control-Allow-Methods': string;
            'Access-Control-Allow-Origin': string;
        };
    } | null>;
    "@quidproquo-core/event/MatchStory": (payload: EventMatchStoryActionPayload<HTTPEventParams<any>>, session: StorySession) => Promise<RouteQPQWebServerConfigSetting | undefined>;
};
export default _default;
